[Помогите] [Professional Email Template: 4.5.1.26] Не найдены языковые файлы

Тема в разделе "OpenCart", создана пользователем Ormone, 17 окт 2014.

  1. Ormone

    Ormone

    Регистрация:
    12 окт 2014
    Сообщения:
    7
    Симпатии:
    0
    Ребята, всем привет.

    Очень прошу помощи.

    При установке данного модуля на ocStore 1.5.5.1.2 выходит ошибка:

    Notice: Error: Could not load language ! in E:\OpenServer\domains\testing\vqmod\vqcache\vq2-system_library_language.php on line 73

    Немного погуглил, везде советуют продублировать содержимое англ. папки в русскую, но это, к сожалению, не помогает.

    Как еще можно подружить этот модуль с ocStore?
     
  2. Zulus

    Zulus Команда форума

    Регистрация:
    20 дек 2012
    Сообщения:
    683
    Симпатии:
    686
    Это у тебя ошибка из-за языкового файла, надо загрузить языковые файлы в соответствующую папку.
    Для теста, включи в админке язык по умолчанию буржуйский и установи по новой модуль, затем закинь фалы в соответствующие папки для русского языка, ошибки не должно быть.
     
  3. AnOcToJI

    AnOcToJI

    Регистрация:
    28 дек 2012
    Сообщения:
    293
    Симпатии:
    186
    а что на 73 строчке находится в указанном вами файле?
     
  4. Ormone

    Ormone

    Регистрация:
    12 окт 2014
    Сообщения:
    7
    Симпатии:
    0
    Zulus, сегодня попробовал установить на чистый OpenCart последней версии, вылетает та же ошибка:
    http://data3.floomby.com/files/share/18_10_2014/14/Wr3DTCP8MESFCokJEcfyiA.jpg
    Возможно проблема с совместимостью самого модуля? Хотя на сайте модуля написано, что он поддерживает версии OC 1.5.х...
    Если да, то может подскажите альтернативные варианты? А то уж очень полезный модуль.

    AnOcToJI, на 73 строке, насколько я понял, вывод самого сообщения об ошибке:
    trigger_error('Error: Could not load language ' . $filename . '!');
     
  5. chukcha

    chukcha

    Регистрация:
    9 окт 2014
    Сообщения:
    283
    Симпатии:
    85
    Путь к языковому файлу должен быть ~
    /admin/language/russiian/module/emailtemplate - это для админки

    Но!!!!
    Для шаблонов!!!
    Возможно, что он также подгружает языковые файлы из фронтенда
     
  6. Ormone

    Ormone

    Регистрация:
    12 окт 2014
    Сообщения:
    7
    Симпатии:
    0
    chukcha, так в том то и дело, что даже на чистом opencart без русской локали аналогичная ошибка (см. скрин постом выше), уже не знаю, что делать - уже 4й день ищу решение этой проблемы или похожий по функционалу модуль.
     
  7. AnOcToJI

    AnOcToJI

    Регистрация:
    28 дек 2012
    Сообщения:
    293
    Симпатии:
    186
    да поймите что это не ошибка а мелкое предупреждение и не более, на работу магазина оно никак не повлияет, да не приятно что есть какая-тор фигня но она не критическая
     
  8. chukcha

    chukcha

    Регистрация:
    9 окт 2014
    Сообщения:
    283
    Симпатии:
    85
    Дело не в критичности ошибки

    Нужно найти какого языкового файла нет

    идем
    смотрим в код

    'Error: Could not load language ' . $filename . '!'

    Где в сообщении об ошибке имя файла?
    На картинке нет

    Идем в код модуля
    ищем в модуле
    $this->language->load(

    И смотрим и анализируем наличие файлов


    Возможно, что в модуле что-то происходит иначе, модуль не из слабых, судя по функционалу, и наворочено там может много.
     
  9. Ormone

    Ormone

    Регистрация:
    12 окт 2014
    Сообщения:
    7
    Симпатии:
    0
    Проблему вроде решил, всё работает и письма отправляет, но появилась другая ошибка при оформлении заказа и автообновлении полей при заполнении индекса, города, выборы способа оплаты:

    Warning
    : mail(/home/*/.logs/php_mail.log) [function.mail]: failed to open stream: No such file or directory in /home/*/public_html/vqmod/vqcache/vq2-system_library_mail.php on line 168

    В данном случае, насколько я понял, проблемы с хостингом уже?